Loading...
Searching...
No Matches
etl::basic_string_stream< TFormat, TIString, TStringView > Class Template Reference

## Public Types

typedef TFormat | format_spec_type
typedef TIString | istring_type
typedef TIString::value_type | value_type
typedef TIString::pointer | pointer
typedef TIString::const_pointer | const_pointer

## Public Member Functions

| basic_string_stream (TIString &text_)
| Construct from text.
| basic_string_stream (TIString &text_, const TFormat &spec_)
| Construct from text and format fmt.
void | set_format (const TFormat &spec_)
| Set the format fmt.
const TFormat & | get_format () const
| Get a const reference to the format fmt.
TIString & | str ()
| Get a reference to the current string.
const TIString & | str () const
| Get a const reference to the current string.
void | str (const value_type *p)
| Resets the stream to the supplied string.
void | str (const TIString &is)
| Resets the stream to the supplied string.

## Friends

basic_string_stream & | operator<< (basic_string_stream &ss, const TFormat &fmt)
| Stream operators.
basic_string_stream & | operator<< (basic_string_stream &ss, etl::private_basic_format_spec::base_spec fmt)
basic_string_stream & | operator<< (basic_string_stream &ss, etl::private_basic_format_spec::width_spec fmt)
| etl::width_spec from etl::setw stream manipulator
template<typename TChar>
basic_string_stream & | operator<< (basic_string_stream &ss, etl::private_basic_format_spec::fill_spec< TChar > fmt)
| etl::fill_spec from etl::setfill stream manipulator
basic_string_stream & | operator<< (basic_string_stream &ss, etl::private_basic_format_spec::precision_spec fmt)
| etl::precision_spec from etl::setprecision stream manipulator
basic_string_stream & | operator<< (basic_string_stream &ss, etl::private_basic_format_spec::boolalpha_spec fmt)
basic_string_stream & | operator<< (basic_string_stream &ss, etl::private_basic_format_spec::uppercase_spec fmt)
basic_string_stream & | operator<< (basic_string_stream &ss, etl::private_basic_format_spec::showbase_spec fmt)
basic_string_stream & | operator<< (basic_string_stream &ss, etl::private_basic_format_spec::left_spec)
| etl::left_spec from etl::left stream manipulator
basic_string_stream & | operator<< (basic_string_stream &ss, etl::private_basic_format_spec::right_spec)
| etl::right_spec from etl::left stream manipulator
basic_string_stream & | operator<< (basic_string_stream &ss, TStringView view)
| From a string view.
basic_string_stream & | operator<< (basic_string_stream &ss, pointer p)
| From a character pointer to a string.
basic_string_stream & | operator<< (basic_string_stream &ss, const_pointer p)
| From a const character pointer to a string.
basic_string_stream & | operator<< (basic_string_stream &ss, const TIString &t)
| From a string interface.
template<template< size_t > class TString, size_t SIZE>
basic_string_stream & | operator<< (basic_string_stream &ss, const TString< SIZE > &t)
| From a string.
template<typename T>
basic_string_stream & | operator<< (basic_string_stream &ss, const T &value)
| From anything else.

## Friends And Related Symbol Documentation

## operator<< [1/5]

template<typename TFormat, typename TIString, typename TStringView>

basic_string_stream & operator<< | ( | basic_string_stream< TFormat, TIString, TStringView > & | ss,
|  | const TFormat & | fmt )

friend

Stream operators.

TFormat

## operator<< [2/5]

template<typename TFormat, typename TIString, typename TStringView>

basic_string_stream & operator<< | ( | basic_string_stream< TFormat, TIString, TStringView > & | ss,
|  | etl::private_basic_format_spec::base_spec | fmt )

friend

etl::base_spec from etl::setbase, etl::bin, etl::oct, etl::dec & etl::hex stream manipulators

## operator<< [3/5]

template<typename TFormat, typename TIString, typename TStringView>

basic_string_stream & operator<< | ( | basic_string_stream< TFormat, TIString, TStringView > & | ss,
|  | etl::private_basic_format_spec::boolalpha_spec | fmt )

friend

etl::boolalpha_spec from etl::boolalpha & etl::noboolalpha stream manipulators

## operator<< [4/5]

template<typename TFormat, typename TIString, typename TStringView>

basic_string_stream & operator<< | ( | basic_string_stream< TFormat, TIString, TStringView > & | ss,
|  | etl::private_basic_format_spec::showbase_spec | fmt )

friend

etl::showbase_spec from etl::showbase & etl::noshowbase stream manipulators

## operator<< [5/5]

template<typename TFormat, typename TIString, typename TStringView>

basic_string_stream & operator<< | ( | basic_string_stream< TFormat, TIString, TStringView > & | ss,
|  | etl::private_basic_format_spec::uppercase_spec | fmt )

friend

etl::uppercase_spec from etl::uppercase & etl::nouppercase stream manipulators

The documentation for this class was generated from the following file:

- include/etl/basic_string_stream.h